AsterNet Class Library (Sandcastle documentation)

| ResponseEventHandler Class

A combinded event and response handler that adds received events and the response to a ResponseEvents object.
Inheritance Hierarchy
System
Object
AsterNET.Manager
ResponseEventHandler

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ResponseEventHandler : IResponseHandler

    Public Class ResponseEventHandler
    	Implements IResponseHandler

    public ref class ResponseEventHandler : IResponseHandler

    type ResponseEventHandler =
        class
            interface IResponseHandler
        end

The ResponseEventHandler type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ResponseEventHandler | Creates a new instance.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| Free |
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| HandleEvent |
| HandleResponse |
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Properties

| Name | Description
--- | --- | ---
| Action |
| Hash |
| ResponseEvents |

Top
See Also

#### Reference

AsterNET.Manager Namespace